require 'spec_helper'

RSpec.describe LimeLightPlatform, "#offer_view" do
  context "Lime Light Platform - Membership API - offer_view" do
    it "Returns offer data for a given campaign" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      possible_params = [
        {'offer_id' => ENV['TEST_OFFER_VIEW_OFFER_ID']},
        {'campaign_id' => ENV['TEST_OFFER_VIEW_CAMPAIGN_ID']},
        {
          'offer_id' => ENV['TEST_OFFER_VIEW_OFFER_ID'],
          'campaign_id' => ENV['TEST_OFFER_VIEW_CAMPAIGN_ID']
        },
      ]
      response = lime_light.offer_view possible_params.sample
      expect(response[:success]).to eq true
    end
  end
end