require 'spec_helper'

RSpec.describe LimeLightPlatform, "#order_update_recurring" do
  context "Lime Light Platform - Membership API - order_update_recurring" do
    it "Updates the recurring status of an order" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.order_update_recurring({
        'order_id' => ENV['TEST_ORDER_UPDATE_RECURRING_ORDER'],
        'status' => ENV['TEST_ORDER_UPDATE_RECURRING_STATUS']
      })
      expect(response[:success]).to eq true
    end
  end
end