require 'spec_helper'

RSpec.describe LimeLightPlatform, "#order_view" do
  context "Lime Light Platform - Membership API - order_view" do
    it "View order details" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.order_view({
        'order_id' => [
          ENV['ORDER_VIEW_ORDER_ID_1'],
          ENV['ORDER_VIEW_ORDER_ID_2']
        ]
      })
      expect(response[:success]).to eq true
    end
  end
end