require 'spec_helper'

RSpec.describe LimeLightPlatform, "#payment_router_view" do
  context "Lime Light Platform - Membership API - payment_router_view" do
    it "Returns payment router data" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        true
      )
      response = lime_light.payment_router_view([
        ENV['TEST_PAYMENT_ROUTER_VIEW_ROUTER_ID_1'],
        ENV['TEST_PAYMENT_ROUTER_VIEW_ROUTER_ID_2']
      ])
      expect(response[:success]).to eq true
    end
  end
end