require 'spec_helper'

RSpec.describe LimeLightPlatform, "#product_bundle_index" do
  context "Lime Light Platform - Membership API - product_bundle_index" do
    it "Fetches all products bundle data" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.product_bundle_index
      expect(response[:success]).to eq true
    end
  end
end