require 'spec_helper'
require 'faker'

RSpec.describe LimeLightPlatform, "#product_update" do
  context "Lime Light Platform - Membership API - product_update" do
    it "Updates a Lime Light Product" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.product_update({
        'product_id' => {
          ENV['TEST_UPDATE_PRODUCT_ID'] => {
            'product_name' => Faker::Pokemon.move,
            'product_description' => Faker::RickAndMorty.quote
          }
        }
      })
      expect(response[:success]).to eq true
    end
  end
end