require 'spec_helper'

RSpec.describe LimeLightPlatform, "#prospect_view" do
  context "Lime Light Platform - Membership API - prospect_view" do
    it "Returns data that describes a given prospect" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.prospect_view({
        'prospect_id' => [
          ENV['TEST_PROSPECT_UPDATE_PROSPECT_ID_2'],
          ENV['TEST_PROSPECT_UPDATE_PROSPECT_ID_3']
        ]
      })
      expect(response[:success]).to eq true
    end
  end
end