require 'spec_helper'

RSpec.describe LimeLightPlatform, "#repost_to_fulfillment" do
  context "Lime Light Platform - Membership API - repost_to_fulfillment" do
    it "Attempts to send an order to fulfillment" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.repost_to_fulfillment ENV['TEST_REPOST_TO_FULFILLMENT_ORDER_ID']
      expect(response[:success]).to eq true
    end
  end
end