require 'spec_helper'

RSpec.describe LimeLightPlatform, "#subscription_update" do
  context "Lime Light Platform - Membership API - subscription_update" do
    it "Starts, Stops, or resets one or more subscriptions" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.subscription_update({
        'subscription_id' => {
          ENV['TEST_SUBSCRIPTION_UPDATE_SUBSCRIPTION_ID_1'] => ENV['TEST_SUBSCRIPTION_UPDATE_ACTION_1'],
          ENV['TEST_SUBSCRIPTION_UPDATE_SUBSCRIPTION_ID_2'] => ENV['TEST_SUBSCRIPTION_UPDATE_ACTION_2']
        }
      })
      expect(response[:success]).to eq true
    end
  end
end