require 'spec_helper'

RSpec.describe LimeLightPlatform, "#three_d_secure" do
  context "Lime Light Platform - Transact API - three_d_secure" do
    it "Returns 3DS data for customer redirect" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        true
      )
      response = lime_light.three_d_redirect ENV['TEST_THREE_D_REDIRECT_ORDER_ID']
      expect(response[:success]).to eq true
    end
  end
end