require 'spec_helper'

RSpec.describe LimeLightPlatform, "#validate_credentials" do
  context "Lime Light Platform - Membership API - validate_credentials" do
    it "Validates the API username and password" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.validate_credentials
      expect(response[:success]).to eq true
    end
  end
end