require 'spec_helper'

RSpec.describe LimeLightPlatform, "#billing_model_view" do
  context "Lime Light Platform - Membership API - billing_model_view" do
    it "Returns all the data for a given set of billing model(s)" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      possible_params = [
        {'offer_id' => ENV['TEST_BILLING_MODEL_VIEW_OFFER_ID']},
        {'billing_model_id' => ENV['TEST_BILLING_MODEL_VIEW_BILLING_MODEL_ID']},
        {
          'offer_id' => ENV['TEST_BILLING_MODEL_VIEW_OFFER_ID'],
          'billing_model_id' => ENV['TEST_BILLING_MODEL_VIEW_BILLING_MODEL_ID']
        },
      ]
      response = lime_light.billing_model_view possible_params.sample
      expect(response[:success]).to eq true
    end
  end
end