require 'spec_helper'

RSpec.describe LimeLightPlatform, "#campaign_find_active" do
  context "Lime Light Platform - Membership API - campaign_find_active" do
    it "Returns all active campaigns for the CRM instance" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.campaign_find_active
      expect(response[:success]).to eq true
    end
  end
end