require 'spec_helper'

RSpec.describe LimeLightPlatform, "#order_force_bill" do
  context "Lime Light Platform - Membership API - order_force_bill" do
    it "Force rebill an order" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.order_force_bill({
        'order_id' => ENV['TEST_ORDER_FORCE_BILL_ORDER_ID'],
        'force_gateway_id' => ENV['TEST_ORDER_FORCE_BILL_GATEWAY_ID'],
        'preserve_force_gateway' => ENV['TEST_ORDER_FORCE_BILL_PRESERVE_GATEWAY_ID']
      })
      expect(response[:success]).to eq true
    end
  end
end