require 'spec_helper'

RSpec.describe LimeLightPlatform, "#order_reprocess" do
  context "Lime Light Platform - Membership API - order_reprocess" do
    it "Reprocesses an order" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.order_reprocess ENV['ORDER_REPROCESS_ORDER_ID']
      expect(response[:success]).to eq true
    end
  end
end