require 'spec_helper'

RSpec.describe LimeLightPlatform, "#product_attribute_index " do
  context "Lime Light Platform - Membership API - product_attribute_index " do
    it "Fetches the variant properties of one or more products" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.product_attribute_index({
        'product_id' => [
          ENV['TEST_PRODUCT_ATTRIBUTE_INDEX_PRODUCT_ID_1'],
          ENV['TEST_PRODUCT_ATTRIBUTE_INDEX_PRODUCT_ID_2']
        ]
      })
      expect(response[:success]).to eq true
    end
  end
end