require 'spec_helper'

RSpec.describe LimeLightPlatform, "#product_bundle_view" do
  context "Lime Light Platform - Membership API - product_bundle_view" do
    it "Fetches a specific product bundle and returns its data" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.product_bundle_view ENV['TEST_PRODUCT_BUNDLE_VIEW_PRODUCT_ID_1']
      expect(response[:success]).to eq true
    end
  end
end