require 'spec_helper'
require 'faker'

RSpec.describe LimeLightPlatform, "#product_copy" do
  context "Lime Light Platform - Membership API - product_copy" do
    it "Copies a product" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.product_copy({
        'product_id' => ENV['TEST_PRODUCT_COPY_PRODUCT_ID'],
        'new_name' => Faker::Pokemon.name
      })
      expect(response[:success]).to eq true
    end
  end
end