require 'spec_helper'

RSpec.describe LimeLightPlatform, "#skip_next_billing" do
  context "Lime Light Platform - Membership API - skip_next_billing" do
    it "Skips the next billing of a recurring subscription" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.skip_next_billing ENV['TEST_SKIP_NEXT_BILLING_SUBSCRIPTION_ID']
      expect(response[:success]).to eq true
    end
  end
end