require 'spec_helper'

RSpec.describe LimeLightPlatform, "#subscription_order_update" do
  context "Lime Light Platform - Membership API - subscription_order_update" do
    it "Updates the dynamic properties of a subscription/order" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.subscription_order_update({
        'order_id' => ENV['TEST_SUBSCRIPTION_ORDER_UPDATE_ORDER_ID'],
        'additional_product_id' => ENV['TEST_SUBSCRIPTION_ORDER_UPDATE_ADDITIONAL_PRODUCT_ID'],
        'quantity' => ENV['TEST_SUBSCRIPTION_ORDER_UPDATE_QUANTITY'],
        'product_id' => ENV['TEST_SUBSCRIPTION_ORDER_UPDATE_PRODUCT_ID'],
        'new_recurring_product_id' => ENV['TEST_SUBSCRIPTION_ORDER_UPDATE_NEW_RECURRING_PRODUCT_ID'],
        # 'children' => ENV['TEST_SUBSCRIPTION_ORDER_UPDATE_CHILDREN'],
        'new_recurring_price' => ENV['TEST_SUBSCRIPTION_ORDER_UPDATE_NEW_RECURRING_PRICE'],
        # 'new_recurring_date' => ENV['TEST_SUBSCRIPTION_ORDER_UPDATE_NEW_RECURRING_DATE'],
        'billing_model_id' => ENV['TEST_SUBSCRIPTION_ORDER_UPDATE_BILLING_MODEL_ID']
      })
      expect(response[:success]).to eq true
    end
  end
end