require 'spec_helper'

RSpec.describe LimeLightPlatform, "#upsell_stop_recurring" do
  context "Lime Light Platform - Membership API - upsell_stop_recurring" do
    it "Stops the recurring status of a order upsell product" do
      lime_light = LimeLightPlatform.new(
        ENV['APP_KEY'],
        ENV['API_USERNAME'],
        ENV['API_PASSWORD'],
        ENV['DEV_SUB'],
        false
      )
      response = lime_light.upsell_stop_recurring({
        'order_id' => ENV['TEST_UPSELL_STOP_RECURRING_ORDER_ID'],
        'product_id' => ENV['TEST_UPSELL_STOP_RECURRING_PRODUCT_ID']
      })
      expect(response[:success]).to eq true
    end
  end
end